View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010105ParaViewBugpublic2010-01-08 04:542011-01-13 17:00
ReporterStephane P 
Assigned ToUtkarsh Ayachit 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionDevelopment 
Target Version3.8Fixed in Version3.8 
Summary0010105: surface with edge representation does color the surface if data has both surface and lines
Descriptionif the data is composed of both 2D and 3D cells, the Surface With Edge representation applies the solid color to the surface even if a "color by" field is chosen.

To reproduce the bug, load the given state file, apply the Surface With Edge representation to the AppendDatasets1 entry, and choose color by RTData --> the surface color is the solid color.
TagsNo tags attached.
ProjectParaViS
Topic Name
Type
Attached Files? file icon bug_surface+edge.pvsm [^] (219,417 bytes) 2010-01-08 04:54

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0019703)
Utkarsh Ayachit (administrator)
2010-03-03 17:12

Restoring state of texture enable flag as well after rendering edges.
/cvsroot/ParaView3/ParaView3/VTK/Rendering/vtkOpenGLRepresentationPainter.cxx,v <-- VTK/Rendering/vtkOpenGLRepresentationPainter.cxx
new revision: 1.11; previous revision: 1.10
(0019787)
Alan Scott (manager)
2010-03-09 21:47

Tested local client, XP, trunk. Excellent writeup of this bug.

- Issue History
Date Modified Username Field Change
2010-01-08 04:54 Stephane P New Issue
2010-01-08 04:54 Stephane P File Added: bug_surface+edge.pvsm
2010-03-03 16:43 Utkarsh Ayachit Status backlog => tabled
2010-03-03 16:43 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2010-03-03 16:43 Utkarsh Ayachit Priority normal => high
2010-03-03 16:43 Utkarsh Ayachit Target Version => 3.8
2010-03-03 17:12 Utkarsh Ayachit Note Added: 0019703
2010-03-03 17:12 Utkarsh Ayachit Status tabled => @80@
2010-03-03 17:12 Utkarsh Ayachit Fixed in Version => 3.8
2010-03-03 17:12 Utkarsh Ayachit Resolution open => fixed
2010-03-09 21:47 Alan Scott Note Added: 0019787
2010-03-09 21:47 Alan Scott Status @80@ => closed
2011-01-13 17:00 Source_changeset_attached => VTK master a2bd8391
2011-01-13 17:00 Source_changeset_attached => VTK master 020ef709
2011-06-23 11:44 Utkarsh Ayachit Project => ParaViS


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker